import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor is emitted by Tank2 and removes Tank1 upon contact.
 * 
 * @author Nicolás A. Ortega
 * @version v1.0
 */
public class Claymore2 extends Actor
{
    int count=0;
    World world;
    
    /**
     * Act - do whatever the Claymore2 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        count=count+1;
        
        Actor Tank1;
        Tank1 = getOneObjectAtOffset(0, 0, Tank1.class);
        if(Tank1 !=null)
        {
            getWorld().removeObject(Tank1);
            getWorld().addObject(new Explosion(), getX(), getY());
            getWorld().removeObject(this);
        }
        else
        {
            if(count==600)
            {
                getWorld().addObject(new Explosion(), getX(), getY());
                getWorld().removeObject(this);
            }
        }
    }
}
