import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

/**
 * This is where the user will be able to select a scenario to play.
 * 
 * @author Nicolás A. Ortega
 * @version 6/1/12
 */
public class LevelSelect extends World
{

    /**
     * Constructor for objects of class LevelSelect.
     * 
     */
    public LevelSelect()
    {    
        // Create a new world with 1100x800 cells with a cell size of 1x1 pixels.
        super(1100, 800, 1);
        
        prepare();
    }
    
    public void prepare()
    {
        // The following lines are to create the text on the level select that says "Tanks".
        getBackground().setColor(Color.green);
        Font font = getBackground().getFont();
        font = font.deriveFont(100.0f);
        getBackground().setFont(font);
        getBackground().drawString("Tanks", 400, 100);
        
        
        Menu_Button menu_button = new Menu_Button();
        addObject(menu_button, 150, 750);
        Start_Button start_button = new Start_Button();
        addObject(start_button, 550, 650);
    }
}
