import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor is emited by Tank1 and removes Tank2 upon contact.
 * 
 * @author Nicolás A. Ortega
 * @version v1.1
 */
public class Bullet1 extends Actor
{
    int count=0;
    /**
     * Act - do whatever the Bullet1 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        count++;
        move(12);
        
        World world = getWorld();
        
        Actor Tank2;
        Tank2 = getOneObjectAtOffset(0, 0, Tank2.class);
        if(Tank2 !=null)
        {
            world.removeObject(Tank2);
            world.addObject(new Explosion(), getX(), getY());
            world.removeObject(this);
        }
        else
        {
            if(getX() <= 5)
                setLocation(world.getWidth()-10, getY());
            if(getX() >= world.getWidth()-5)
                setLocation(10, getY());
            if(getY() <= 5)
                setLocation(getX(), world.getHeight()-10);
            if(getY() >= world.getHeight()-5)
                setLocation(getX(), 10);
        }
        
        if(count==55)
            world.removeObject(this);
    }
}