import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is where the game will take place.
 * 
 * @author Nicolás A. Ortega
 * @version 6/1/12
 */
public class GameWorld extends World
{
    int count=0;
    /**
     * Constructor for objects of class GameWorld.
     * 
     */
    public GameWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1100, 800, 1);
        
        prepare();
    }
    
    public void prepare()
    {
        Tank1 tank1 = new Tank1();
        addObject(tank1, 1000, 400);
        
        Tank2 tank2 = new Tank2();
        addObject(tank2, 100, 400);
    }
    
    public void act()
    {
        count++;
        if(count==1000)
        {
            MineReload minereload = new MineReload();
            addObject(minereload, Greenfoot.getRandomNumber(1100), Greenfoot.getRandomNumber(800));
        }
    }
}