import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

/**
 * The instructions as to how to play the game are in this world.
 * 
 * @author Nicolás A. Ortega 
 * @version 6/1/12
 */
public class Instructions_Menu extends World
{
    /**
     * Constructor for objects of class Instructions_Menu.
     * 
     */
    public Instructions_Menu()
    {    
        // Create a new world with 1100x800 cells with a cell size of 1x1 pixels.
        super(1100, 800, 1);
        
        prepare();
    }
    
    public void prepare()
    {
        // Lines 28-58 are all making the text for the instructions menu.
        getBackground().setColor(Color.green);
        Font font = getBackground().getFont();
        font = font.deriveFont(100.0f);
        getBackground().setFont(font);
        getBackground().drawString("Instructions", 50, 100);
        
        font = font.deriveFont(30.0f);
        getBackground().setFont(font);
        getBackground().drawString("Player 1", 300, 200);
        getBackground().drawString("Player 2", 700, 200);
        
        font = font.deriveFont(18.0f);
        getBackground().setFont(font);
        getBackground().drawString("Move up", 50, 250);
        getBackground().drawString("Up arrow", 300, 250);
        getBackground().drawString("W", 700, 250);
        getBackground().drawString("Move down", 50, 275);
        getBackground().drawString("Down arrow", 300, 275);
        getBackground().drawString("S", 700, 275);
        getBackground().drawString("Move left", 50, 300);
        getBackground().drawString("Left arrow", 300, 300);
        getBackground().drawString("A", 700, 300);
        getBackground().drawString("Move right", 50, 325);
        getBackground().drawString("Right arrow", 300, 325);
        getBackground().drawString("D", 700, 325);
        getBackground().drawString("Shoot", 50, 350);
        getBackground().drawString(", (comma)", 300, 350);
        getBackground().drawString("C", 700, 350);
        getBackground().drawString("Drop mine", 50, 375);
        getBackground().drawString("M", 300, 375);
        getBackground().drawString("V", 700, 375);
        
        
        Menu_Button menu_button = new Menu_Button();
        addObject(menu_button, 150, 750);
    }
}
