import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor is Player 1 in the game, it shoots bullets and lays mines.
 * 
 * @author Nicolás A. Ortega
 * @version v1.1
 */
public class Tank1 extends Actor
{
    World world;
    int f=0;
    int m=0;
    int mcount=0;
    
    int count=0;
    
    /**
     * Act - do whatever the Tank1 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(count==0)
            setRotation(180);
        if(count <= 2)
            count++;
        
        movement();
        fire();
        mine();
    }
    
    public void movement()
    {
        if(Greenfoot.isKeyDown("up"))
        {
            if(getRotation() >= 315 | getRotation() <= 44 && getOneObjectAtOffset(50, 0, Walls.class) == null && getOneObjectAtOffset(0, -45, Walls.class) == null && getOneObjectAtOffset(0, 45, Walls.class) == null)
            {
                move(3);
            }
            if(getRotation() >= 45 && getRotation() <= 134 && getOneObjectAtOffset(0, 50, Walls.class) == null && getOneObjectAtOffset(45, 0, Walls.class) == null && getOneObjectAtOffset(-45, 0, Walls.class) == null)
            {
                move(3);
            }
            if(getRotation() >= 135 && getRotation() <= 224 && getOneObjectAtOffset(-50, 0, Walls.class) == null && getOneObjectAtOffset(0, -45, Walls.class) == null && getOneObjectAtOffset(0, 45, Walls.class) == null)
            {
                move(3);
            }
            if(getRotation() >= 225 && getRotation() <= 314 && getOneObjectAtOffset(0, -50, Walls.class) == null && getOneObjectAtOffset(-45, 0, Walls.class) == null && getOneObjectAtOffset(45, 0, Walls.class) == null)
            {
                move(3);
            }
        }
        if(Greenfoot.isKeyDown("down"))
        {
            if(getRotation() >= 315 | getRotation() <= 44 && getOneObjectAtOffset(-50, 0, Walls.class) == null && getOneObjectAtOffset(0, -45, Walls.class) == null && getOneObjectAtOffset(0, 45, Walls.class) == null)
            {
                move(-3);
            }
            if(getRotation() >= 45 && getRotation() <= 134 && getOneObjectAtOffset(0, -50, Walls.class) == null && getOneObjectAtOffset(-45, 0, Walls.class) == null && getOneObjectAtOffset(45, 0, Walls.class) == null)
            {
                move(-3);
            }
            if(getRotation() >= 135 && getRotation() <= 224 && getOneObjectAtOffset(50, 0, Walls.class) == null && getOneObjectAtOffset(0, -45, Walls.class) == null && getOneObjectAtOffset(0, 45, Walls.class) == null)
            {
                move(-3);
            }
            if(getRotation() >= 225 && getRotation() <= 314 && getOneObjectAtOffset(0, 50, Walls.class) == null && getOneObjectAtOffset(-45, 0, Walls.class) == null && getOneObjectAtOffset(45, 0, Walls.class) == null)
            {
                move(-3);
            }
        }
        if(Greenfoot.isKeyDown("left"))
        {
            turn(-2);
        }
        if(Greenfoot.isKeyDown("right"))
        {
            turn(2);
        }
        
        if(getX() >= getWorld().getWidth() -5)
        {
            setLocation(10, getY());
        }
        if(getX() <= 5)
        {
            setLocation(getWorld().getWidth() -10, getY());
        }
        if(getY() >= getWorld().getHeight() -5)
        {
            setLocation(getX(), 10);
        }
        if(getY() <= 5)
        {
            setLocation(getX(), getWorld().getHeight() -10);
        }
    }
    
    private void fire()
    {
        if(Greenfoot.isKeyDown(","))
        {
            f++;
            if(f==1)
            {
                Bullet1 bullet1 = new Bullet1();
                getWorld().addObject(bullet1, getX(), getY());
                bullet1.setRotation(getRotation());
            }
            if(f==50)
                f=0;
        }
        else
            f=0;
    }
    
    private void mine()
    {
        if(Greenfoot.isKeyDown("m"))
        {
            m++;
            if(m==1 && mcount <= 4)
            {
                Claymore1 claymore1 = new Claymore1();
                getWorld().addObject(claymore1, getX(), getY());
                mcount++;
            }
        }
        else
            m=0;
        
        Actor MineReload;
        MineReload = getOneObjectAtOffset(0, 0, MineReload.class);
        if(MineReload != null)
        {
            mcount=0;
            getWorld().removeObject(MineReload);
        }
    }
}