import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

/**
 * This is the main menu of the game.
 * 
 * @author Nicolás A. Ortega
 * @version 5/30/12
 */
public class TankWorld extends World
{
    /**
     * Constructor for objects of class TankWorld.
     * 
     */
    public TankWorld()
    {    
        // Create a new world with 1100x800 cells with a cell size of 1x1 pixels.
        super(1100, 800, 1);
        
        prepare();
    }
    
    public void prepare()
    {
        // The next line states the color of the text.
        getBackground().setColor(Color.green);
        Font font = getBackground().getFont();
        // This line specifies the size of the text.
        font = font.deriveFont(120.0f);
        // This line sets the font of the text.
        getBackground().setFont(font);
        // This line draws the text.
        getBackground().drawString("Tanks", 50, 150);

        Play_Button play_button = new Play_Button();
        addObject(play_button, 150, 300);
        Instructions_Button instructions_button = new Instructions_Button();
        addObject(instructions_button, 250, 425);
    }
}
